Bug 238896 - lang/gnu-apl: fix build with GCC-based architectures
Summary: lang/gnu-apl: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-30 13:08 UTC by Piotr Kubaj
Modified: 2019-07-09 09:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
patch (4.84 KB, patch)
2019-06-30 13:08 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (danfe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-30 13:08:04 UTC
Created attachment 205436 [details]
patch

C++11 is required, add USES=compiler:c++11-rang:
../UCS_string.hh: At global scope:
../UCS_string.hh:428: error: ISO C++ forbids declaration of 'basic_string' with no type
../UCS_string.hh:428: error: expected ';' before '&' token
../UCS_string.hh: In member function 'void UCS_string::append(const UCS_string&)':
../UCS_string.hh:220: error: 'template<class _CharT, class _Traits, class _Alloc> class std::basic_string' used without template parameters

Merge https://svn.savannah.gnu.org/viewvc/apl/trunk/src/Tokenizer.cc?r1=1164&r2=1177&view=patch to fix powerpc*-specific issues.

Add include <cstring> to Error.hh for strncpy.

Change types of total_memory from unsigned to signed, those values are compared to values of structs from base that are signed. Such comparison causes error.
Comment 1 Alexey Dokuchaev freebsd_committer 2019-06-30 17:31:24 UTC
Thanks.  I've notice that it did not compile on Mac mini G4, but did not have time to address all the issues at that moment.

Looking at proposed patch, being not a big fan of trivial patches-as-files, let me first try to fix at least some of those with sed(1) instead. :-)
Comment 2 commit-hook freebsd_committer 2019-07-03 01:31:19 UTC
A commit references this bug:

Author: danfe
Date: Wed Jul  3 01:30:47 UTC 2019
New revision: 505720
URL: https://svnweb.freebsd.org/changeset/ports/505720

Log:
  - Unbreak the build on PowerPC and other GCC-based architectures
  - Add an XXX comment about hardcoded `math/fftw3' on LIB_DEPENDS
  - Convert direct dependency on `libsqlite3.so' to USES+=sqlite:3

  PR:		238896 (modified)
  Submitted by:	pkubaj
  Tested on:	Mac mini G4

Changes:
  head/lang/gnu-apl/Makefile
  head/lang/gnu-apl/files/
  head/lang/gnu-apl/files/patch-src_Tokenizer.cc
Comment 3 Alexey Dokuchaev freebsd_committer 2019-07-03 02:02:07 UTC
Should be fixed in ports r505720, please confirm.
Comment 4 Piotr Kubaj freebsd_committer 2019-07-09 09:52:33 UTC
Yes, it's fixed, thanks!